Summary: Object oriented programming environment for real-time audio and video processing
Name: supercollider
Version: 3.12.1
Release: %mkrel 1
License: GPLv3
Group: Sound
URL: https://supercollider.github.io
Source0: https://github.com/supercollider/supercollider/releases/download/Version-%{version}/SuperCollider-%{version}-Source.tar.xz
Source1: supercollider-snapshot

BuildRequires: cmake 
BuildRequires: gcc-c++ 
BuildRequires: autoconf 
BuildRequires: automake 
BuildRequires: libtool 
BuildRequires: pkgconfig
BuildRequires: lib64jack-devel 
BuildRequires: lib64sndfile-devel 
BuildRequires: lib64alsa2-devel
BuildRequires: lib64fftw-devel 
BuildRequires: lib64curl-devel 
BuildRequires: emacs 
BuildRequires: w3m 
BuildRequires: ruby
BuildRequires: lib64avahi-glib-devel 
BuildRequires: lib64x11-devel 
BuildRequires: lib64xt-devel
BuildRequires: lib64icu-devel 
BuildRequires: lib64readline-devel
BuildRequires: lib64qt5base5-devel 
BuildRequires: lib64qt5sensors-devel 
BuildRequires: lib64qt5multimediagsttools-devel  
BuildRequires: lib64qt5scripttools-devel  
BuildRequires: lib64qt5location-devel 
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64yaml-cpp-devel   
BuildRequires: lib64cwiid-devel
BuildRequires: chkconfig
BuildRequires: libatomic-devel
BuildRequires: boost-devel 
BuildRequires: git
BuildRequires: chrpath

Requires: emacs 
Requires: w3m
Requires: pulseaudio-module-jack
Requires: jackit

%description
SuperCollider is an object oriented programming environment for
real-time audio and video processing. It is one of the finest and most
versatile environments for signal processing and especially for
creating music applications of all kinds, such as complete
compositions, interactive performances, installations etc.

%package devel
Summary: Development files for SuperCollider
Group: Development/Libraries
Requires: supercollider = %{version}-%{release} 
Requires: pkgconfig 
Requires: lib64jack-devel
Requires: lib64alsa2-devel
Requires: lib64sndfile-devel
Requires: lib64avahi-glib-devel 

%description devel
This package includes include files and libraries neede to develop
SuperCollider applications

%package emacs
Summary: SuperCollider support for Emacs
Group: Sound
Requires: supercollider = %{version}-%{release}

%description emacs
SuperCollider support for the Emacs text editor.

%package gedit
Summary: SuperCollider support for GEdit
Group: Sound
Requires: supercollider = %{version}-%{release}

%description gedit
SuperCollider support for the GEdit text editor.

%package vim
Summary: SuperCollider support for Vim
Group: Sound
Requires: supercollider = %{version}-%{release}

%description vim
SuperCollider support for the Vim text editor.

%prep 
%setup -qn SuperCollider-%{version}-Source
%apply_patches

%build
# https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build#Quick_Opt-Out
export PYTHON_DISALLOW_AMBIGUOUS_VERSION=0
%cmake  -DSYSTEM_BOOST=OFF  .
%make 

%install
export PYTHON_DISALLOW_AMBIGUOUS_VERSION=0
%makeinstall_std -C build 

# Remove rpath.
chrpath --delete $RPM_BUILD_ROOT/%{_bindir}/scide
chrpath --delete $RPM_BUILD_ROOT/%{_bindir}/sclang

# Remove Zero length files
find %{buildroot} -size 0 -delete
find . -name '*.py' -exec sed -i -r 's|/usr/bin/python$|&2|g' {} +

# make the icon show
sed -i -r 's|Icon=sc_ide|ICON=supercollider.png|g' %{buildroot}%{_datadir}/applications/SuperColliderIDE.desktop

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README*
%{_bindir}/sclang
%exclude %{_datadir}/SuperCollider/AUTHORS
%exclude %{_datadir}/SuperCollider/COPYING
%exclude %{_datadir}/SuperCollider/README.md
%exclude %{_datadir}/SuperCollider/README_LINUX.md
%exclude %{_datadir}/SuperCollider/CHANGELOG.md
%{_datadir}/SuperCollider/HelpSource
%{_datadir}/SuperCollider/SCClassLibrary
%{_datadir}/SuperCollider/sounds
%{_datadir}/SuperCollider/translations
%{_bindir}/scsynth
%{_libdir}/SuperCollider/plugins
%{_bindir}/supernova
%{_datadir}/SuperCollider/examples
%{_datadir}/SuperCollider/HID_Support
%{_bindir}/scide
%{_datadir}/applications/SuperColliderIDE.desktop
%{_datadir}/icons/hicolor/32x32/apps/supercollider.xpm
%{_datadir}/icons/hicolor/48x48/apps/supercollider.png
%{_datadir}/icons/hicolor/scalable/apps/sc_ide.svg

%files devel
%defattr(-,root,root,-)
%{_includedir}/SuperCollider

%files emacs
%defattr(-,root,root,-)
%{_datadir}/emacs/site-lisp/SuperCollider
%{_datadir}/SuperCollider/Extensions/scide_scel

%files vim
%defattr(-,root,root,-)
/usr/share/SuperCollider/Extensions/scide_scvim/SCVim.sc

%files gedit
%defattr(-,root,root,-)
%{_libdir}/gedit*/plugins/*
%{_datadir}/gtksourceview*/language-specs/supercollider.lang
%{_datadir}/mime/packages/supercollider.xml

%changelog
* Mon Oct 11 2021 tex - 3.12.1-1pclos2021
- new version

* Mon Oct 11 2021 tex - 3.10.3-2pclos2021
- rebuild against updates


* Tue Dec 17 2019 pp <pp> 3.10.3-1pclos2020
- imported package
